package jp.sourceforge.acerola3d.j3dvrml;

import javax.swing.*;
import java.awt.*;

class MyHBox extends JPanel {
    private static final long serialVersionUID = 1L;
    GridBagConstraints c;
    int index;
    MyHBox() {
        this.setLayout(new GridBagLayout());
        c = new GridBagConstraints();
        c.fill = GridBagConstraints.BOTH;
        c.weighty = 1.0;
    }
    void myAdd(Component component,double weight) {
        c.gridx = index;
        c.weightx = weight;
        this.add(component,c);
        index++;
    }
}
